Auto Multiple Choice - Bug # 669: Saisie automatique fichier tif impossible
Description: Bonjour et encore merci pour cet outil.

Habitué a effectuer de la saisie automatique format Tif sous la version 1.3

L'acquisition des pages est maintenant impossible sous 1.4 (sur systeme fraichement installé ubuntu 18.04.3)
L'ouverture du fichier tif s'effectue sans probleme, avec copies différentes, la barre d'avancement démarre.
Puis elle s'arrete presque aussitot en affichant saisie terminée mais aucune page n'apparait dans la fenétre.
Merci d'avance pour vos conseils éclairés.

History

10/06/2019 06:21 pm - Alexis Bienveniie

- Status changed from New to Feedback

Pouvez-vous essayer les commandes suivantes dans un terminal et dire ce qu'elles retournent ?
<pre>

convert /home/benoitm/Bureau/1.tif +adjoin /tmp/test_%04d.tif

Is -lh /tmp/test_*

</pre>

10/08/2019 09:42 pm - Benoit Moreau
- File Capture_terminal.png added

Bonsoir,

voici le retour des commandes sur le terminal et le fichier 1.tif en question.

10/08/2019 09:44 pm - Benoit Moreau

Désolé le fichier ne passe pas.

10/08/2019 10:11 pm - Alexis Bienveniie

C'est donc le @convert@ de ImageMagick qui n'arrive pas a découper votre fichier de scans en un fichier par page...
<pre>

cache resources exhausted

</pre>

I manque de mémoire (vive ou disque je ne sais pas).

Est-ce que votre ordinateur a peu de mémoire ?

Votre scanner vous permet-il d'avoir un fichier par page au lieu d'un gros fichier contenant toutes les pages ? Cela réglerait le probléme...

10/08/2019 11:39 pm - Benoit Moreau

Merci pour la piste. Je vais essayer de creer un fichier tif découpé. Le probleme de mémoire me laisse malgré tout dans le doute (RAM 8Gb, SSD
500Gb avec racine de 40Gb et une installation toute fraiche...il y a certainement a creuser du c6té de cette nouvelle installation). J'essaye le Tif par
page dés que possible et vous informe en retour.

10/09/2019 07:55 am - Alexis Bienveniie

Vous pouvez essayer les modifications du fichier @/etc/ImageMagick-6/policy.xml@ mentionnées ici :
https://github.com/ImageMagick/ImageMagick/issues/396
10/19/2019 11:17 am - Benoit Moreau
Bonjour,

le probléme est résolu. J'ai suivi votre piste avec réussite. Tout d'abords, comme vous, j'avais trouvé la remarque concernant policy.xml mais sans

succes, le probléme de mémoire restant la seule piste exploitable. J'ai utilisé le logiciel NCDU pour identifier la quantité de memoire alloué lors

I'acquisition des pages, avec une interrogation au sujet de I'espace temporaire alloué (tmpfs ?) Il s'agit d'une nouvelle installation, je le disais ; j'ai donc

remis en place les conseils (Ubuntu documentation SSD) concernant le SSD, a savoir le tmp en mémoire vive, I'activation de Zram,.. Et depuis, ¢a

marche (avec étonnement).
Merci pour les conseils et votre temps

et merci encore pour ce bel outil.

10/19/2019 11:32 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Bravo !
